curl
curl -X PATCH "https://sandbox-api.sannos.ai/v2/compliance-reviews/01ABCREVIEW" \
-H "X-API-Key: $EVE_COMPANY_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"string","scope":"string"}'const res = await fetch("https://sandbox-api.sannos.ai/v2/compliance-reviews/01ABCREVIEW", {
method: "PATCH",
headers: { "X-API-Key": process.env.EVE_COMPANY_KEY, "Content-Type": "application/json" },
body: JSON.stringify({
"name": "string",
"scope": "string"
}),
});
const data = await res.json();import os, requests
res = requests.patch(
"https://sandbox-api.sannos.ai/v2/compliance-reviews/01ABCREVIEW",
headers={"X-API-Key": os.environ["EVE_COMPANY_KEY"]},
json={
"name": "string",
"scope": "string"
},
)
data = res.json()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.sannos.ai/v2/compliance-reviews/{reviewId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'scope' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.sannos.ai/v2/compliance-reviews/{reviewId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"scope\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://sandbox-api.sannos.ai/v2/compliance-reviews/{reviewId}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"scope\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.sannos.ai/v2/compliance-reviews/{reviewId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"scope\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"reviewId": "<string>",
"updatedFields": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Compliance Reviews
Update metadata for a ComplianceReview created by this Partner.
Update metadata for a ComplianceReview created by this Partner.
Updatable Fields:
name- Review display name (optional)scope- Review scope description (optional)
Non-Updatable Fields: The following cannot be changed after creation:
- OrganizationUnitId
- ComplianceFrameworkId
- LanguageId
Partial Updates: Only provide fields you want to change. Omitted fields remain unchanged.
Access Control: You can only update reviews created by your partner account.
Note: This updates metadata only - it does not affect AI processing or review status.
Response:
reviewId- Updated review IDmessage- Success messageupdatedFields- List of field names that were updated
PATCH
/
v2
/
compliance-reviews
/
{reviewId}
curl
curl -X PATCH "https://sandbox-api.sannos.ai/v2/compliance-reviews/01ABCREVIEW" \
-H "X-API-Key: $EVE_COMPANY_KEY" \
-H "Content-Type: application/json" \
-d '{"name":"string","scope":"string"}'const res = await fetch("https://sandbox-api.sannos.ai/v2/compliance-reviews/01ABCREVIEW", {
method: "PATCH",
headers: { "X-API-Key": process.env.EVE_COMPANY_KEY, "Content-Type": "application/json" },
body: JSON.stringify({
"name": "string",
"scope": "string"
}),
});
const data = await res.json();import os, requests
res = requests.patch(
"https://sandbox-api.sannos.ai/v2/compliance-reviews/01ABCREVIEW",
headers={"X-API-Key": os.environ["EVE_COMPANY_KEY"]},
json={
"name": "string",
"scope": "string"
},
)
data = res.json()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.sannos.ai/v2/compliance-reviews/{reviewId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'scope' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.sannos.ai/v2/compliance-reviews/{reviewId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"scope\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://sandbox-api.sannos.ai/v2/compliance-reviews/{reviewId}")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"scope\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.sannos.ai/v2/compliance-reviews/{reviewId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"scope\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"message": "<string>",
"reviewId": "<string>",
"updatedFields": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}